*,
*::before,
*::after {
  box-sizing: border-box;
}

.app {
  text-align: center;
  display: flex;
  flex-direction:column;
  align-items:center;
  justify-content: center;
}

.sort-container {
  width:220px;
  margin-top:10px;
}

.car-group {
  background-color: #fff;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  font-size: 24px;
  color: #000;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}

.car-box {
  border: 1px solid #cecfd3;
  border-radius: 2px;
  margin-bottom: 20px;
}

.car-box .car-info {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  border-bottom: 1px solid #dae2e8;
  padding-bottom: 15px;
}

.car-box .car-info .pic {
  display: flex;
  padding: 0 20px;
  width: 35%;
}

.car-box .car-info .pic .preview {
  align-items: center;
  display: flex;
  height: 100%;
  justify-content: center;
  padding-top: 15px;
}

.car-box .car-info .pic .preview img {
  max-height: 200px;
  max-width: 100%;
}

.car-box .car-info .car-specs {
  padding: 10px 0 0;
  width: 38%;
  text-align: left;
}

.car-box .car-model {
  font-size: 18px;
  font-weight: 700;
  line-height: .9;
  margin: 0;
  padding: 8px 0;
  text-transform: capitalize;
}

.car-box .car-code {
  font-size: 12px;
  font-weight: 700;
  line-height: .9;
  color: grey;
  padding: 4px 0;
}

.car-box .car-available {
  color: green;
  font-size: 14px;
  font-weight: 700;
  padding: 4px 0;
  margin-bottom:20px;
}

.car-box .car-unavailable {
  color: red;
  font-size: 14px;
  font-weight: 700;
  padding: 4px 0;
  margin-bottom:20px;
}

.car-box .options {
  border-bottom: 1px solid #dae2e8;
  border-top: 1px solid #dae2e8;
  display: flex;
  flex-wrap: nowrap;
  width: 100%;
}

.car-box .feature-list {
  padding: 0;
  margin-left: 0;
  list-style: none;
  margin: 10px 0px 15px 0;
}

.car-box .feature {
    display: inline-block;
    vertical-align: top;
    margin-right: 8px;
    font-size: 14px;
    padding-right:10px;
}

.car-box .additional-features {
  font-size: 14px;
}
.car-box .additional-features div {
  padding-bottom:10px;
}

.car-box .car-footer-info {
  display: flex;
  flex-wrap: nowrap;
  position: relative;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.car-box .car-vendor{
  width:33%;
  padding: 20px;
}

.car-box .car-price{
  display: flex;
  flex-wrap: wrap;
  width:66%;
  padding: 20px;
  font-weight: 700;
}

.car-box .feature>span {
  vertical-align: top;
  position: relative;
  top: 4px;
  left: 4px;
}

.pickup-information {
  box-sizing: border-box;
  max-width: 1200px;
  width: calc(100% - 40px);
  margin: 0 20px 0 20px;
}

.pickup-information legend {
  font-weight: 700;
  font-size: 16px;
  padding: 20px 30px;
  line-height: 24px;
  color: green;
}

.car-box .details-button {
  background-color: green;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  min-width: 120px;
  opacity: 0.8;
}

.car-box .details-button:hover {
  opacity: 1;
}

.car-box .rate-total-cost {
  color: grey;
  font-size: 16px;
  display: block;
  width: 100%;
  text-align: right;
  padding: 0 4px 8px 0;
}

.car-box .estimated-total-cost {
  display: block;
  width: 100%;
  text-align: right;
}

.car-box .button-container {
  margin-right:20px;
}